<%-- jsf:pagecode language="java" location="/src/pagecode/page/common/InlineMessagesAjax.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<f:subview id="inlineMessagesAjaxSubView">
	<hx:scriptCollector id="scriptCollector1">
	<hx:jspPanel id="content_holder">	
	<div id="message_holder">
	<hx:commandExButton type="button" value="Enter" id="ajax_launcher" style="display:none;">
    	<hx:behavior id="ajax_launcher_behavior" event="onclick" behaviorAction="get;stop" targetAction="message_box" />
	</hx:commandExButton>
	<h:panelGroup id="message_box">
    	<hx:ajaxRefreshRequest id="ajax_request" params="msg" oncomplete="inlineMessagesAjaxObj.onComplete()" onerror="inlineMessagesAjaxObj.displayFatalMessage();"/>
    	<h:inputHidden id="msg" value="true"></h:inputHidden>
    	<hx:jspPanel id="control_panel" rendered="#{pc_InlineMessagesAjax.inlineMessageAjaxed}">
    		<hx:scriptCollector id="scriptCollector2" postRender="#{pc_InlineMessagesAjax.onPageLoadEnd}">
			<hx:dataIterator value="#{pc_InlineMessagesAjax.messages}" var="message"
				rendered="#{pc_InlineMessagesAjax.hasMessage}" id="message_iterator">
				<hx:jspPanel id="message_panel">
					<table class="scm_inlineMessageTable" width="100%">
						<tr>
							<td valign="middle" width="1%">
								<hx:graphicImageEx id="sevImage" value="#{message.severityImage}" alt="#{message.severityAltText}" title="#{message.severityAltText}"></hx:graphicImageEx>
							<td valign="top">
								<h:outputText id="msg_title" styleClass="scm_outputTextTitle2" value="#{message.title}"></h:outputText>
								<BR>
								<h:outputText id="msg_body" styleClass="scm_outputText" value="#{message.text}"></h:outputText>
								<BR>
								<BR>
								<A href="javascript:;" id="close" onclick="inlineMessagesAjaxObj.setCloseFlag(true);inlineMessagesAjaxObj.selfClose(getParentNodeByName(this,'table'), event);" class="scm_plainLink"><h:outputText id="close_text" value="#{bundle.Common_Button_Close}"></h:outputText></A>
							</td>
						</tr>
					</table>
				</hx:jspPanel>
			</hx:dataIterator>
			</hx:scriptCollector>
		</hx:jspPanel>
	</h:panelGroup>
	<%-- ***********************HIDDEN FATAL INLINE MESSAGE************************ --%>
	<h:panelGroup id="hidden_fatal_message" style="display:none">
		<hx:jspPanel id="message_panel_fatal">
			<table class="scm_inlineMessageTable" width="100%">
				<tr>
					<td valign="middle" width="1%">
						<hx:graphicImageEx id="sevImage_fatal" value="images/status/critical_30.gif" alt="#{bundle.FatalMessages_ErrorAltText}" title="#{bundle.FatalMessages_ErrorAltText}"></hx:graphicImageEx>
					<td valign="top">
						<h:outputText id="msg_title_fatal" styleClass="scm_outputTextTitle2" value="#{pc_Fatal.errorMessageTitle}"></h:outputText>
						<BR>
						<h:outputText id="msg_body_fatal" styleClass="scm_outputText" value="#{pc_Fatal.errorMessageBody}"></h:outputText>
						<BR>
						<BR>
						<A href="javascript:;" id="close_fatal" onclick="inlineMessagesAjaxObj.setCloseFlag(true);inlineMessagesAjaxObj.selfClose(getParentNodeByName(this,'table'), event);" class="scm_plainLink"><h:outputText id="close_text_fatal" value="#{bundle.Common_Button_Close}"></h:outputText></A>
					</td>
				</tr>
			</table>
		</hx:jspPanel>
	</h:panelGroup>
	<SCRIPT type="text/javascript" src="<%=basePath%>page/common/inlineMessagesAjax.js"></SCRIPT>
	</div>
	</hx:jspPanel>
	</hx:scriptCollector>
</f:subview>