var panelDialogObj = new PanelDialog();

PanelDialog.SUBVIEW_ID = "common_panel_dialog";
PanelDialog.PANELDIALOG_ID = "panel_dialog";
function PanelDialog()
{	

	var launcher_btn;
	var wait_div;
	var iframe_div;
	var content_iframe;
	var close_btn;
	var paneldialog_form;
	var isOpen = false;
	var paneldialog_div;
	
	//the init method must be called before the panelDialogObj is ready to use
	this.init = function()
	{
		launcher_btn = getElementByIdSuffix(PanelDialog.SUBVIEW_ID + ":dialog_launcher", "input");
		wait_div = $("dialog_wait_div");
		iframe_div = $("dialog_iframe_div");
		content_iframe = $("dialog_iframe");
		close_btn = getElementByIdSuffix(PanelDialog.SUBVIEW_ID + ":dialog_closer", "input");
		paneldialog_form = $("paneldialog_form");
		paneldialog_div = getElementByIdSuffix(PanelDialog.SUBVIEW_ID + ":" +PanelDialog.PANELDIALOG_ID, "div");
	}
	
	//launch the dialog
	//formId: the form to post
	//iframeSrc: the src for content_iframe.
	//width: the width for the dialog. if null the width will be the default value
	//the iframeSrc must be null when you submit the parent page to ifrmae.
	this.launchDialog = function(formId,iframeSrc,width)
	{
		if(formId!=null)
		{
			var originalTarget = $(formId).target;
			$(formId).target = content_iframe.id;
			setTimeout("panelDialogObj.restoreTarget('"+formId+"','"+originalTarget+"')", 200);
		}
		//reset the width
		if(width!=null)
		{
			var div = $(formId+":"+PanelDialog.SUBVIEW_ID+":"+PanelDialog.PANELDIALOG_ID);
			div.style.width = String(width) + "px";
		}
		launcher_btn.click();
		if(iframeSrc!=null)
		{
			//set the iframe Src
			content_iframe.src = iframeSrc;
		}
		return true;
	}

	this.launchDialogPOST = function(viewId,action,width)
	{
		//reset the width
		if(width!=null)
		{
			var div = $(viewId+":"+PanelDialog.SUBVIEW_ID+":"+PanelDialog.PANELDIALOG_ID);
			div.style.width = String(width) + "px";
		}
		launcher_btn.click();
		paneldialog_form.action = action;
		paneldialog_form.method = "post";
		paneldialog_form.enctype = "application/x-www-form-urlencoded";
		paneldialog_form.target = content_iframe.id;
		paneldialog_form.submit();
	}
	
	this.clearParameter = function()
	{
		removeFormChildren();
	}
	
	//the added parameter will be created as input hidden field in form.
	this.addParameter = function(name, value)
	{
		var input = document.createElement("input");
		input.type="hidden";
		input.name=name;
		input.id=name;
		input.value=value;
		paneldialog_form.insertBefore(input,paneldialog_form.lastChild);
	}
	
	//restore the original form target 
	this.restoreTarget = function(formId,originalTarget)
	{
		$(formId).target = originalTarget;
	}
	
	//dialog show event handler
	this.onDialogShow = function(thisObj,thisEvent)
	{
		//show the wait div
		wait_div.style.display = "block";
		//hide the iframe
		content_iframe.style.height = "1px";
		isOpen = true;
	}
	
	//dialog hide event handler
	this.onDialogHide = function(thisObj, thisEvent)
	{
		//show the wait div
		wait_div.style.display = "block";
		content_iframe.style.height = "1px";
		content_iframe.src = "";
		removeFormChildren();
		isOpen = false;
		document.body.style.height = "auto";
		//setTimeout is a must here, otheriwse, the rezise function is called before dialog is closed
		setTimeout("resizeAncestorFrame()", 100);
	}
	
	//dialog iframe load complete event handler
	this.onFrameLoadComplete = function(thisObj, thisEvent)
	{
		if(isOpen)
		{
			//hdie the wait div
			//wait_div.style.display = "none";
			//do not use the wait_div properties, please it's possible that this method will be called before init() called.
			$("dialog_wait_div").style.display = "none";
			resizeFrameHeight('dialog_iframe','dialog_iframe');
			var dialogHeight = paneldialog_div.scrollHeight+5;
			if(document.body.scrollHeight < dialogHeight)
			document.body.style.height = String(dialogHeight)+"px";
			setTimeout("resizeAncestorFrame()", 100);
		}
	}
	
	this.frameLoadStart = function()
	{
		wait_div.style.display = "block";
		content_iframe.style.height = "1px";
	}
	
	//close dialog
	this.closeDialog = function()
	{
		close_btn.click();
	}	
	
	this.setPanelDialogTitle = function(prefixId,title)
	{
		$(prefixId+":"+PanelDialog.SUBVIEW_ID+":"+PanelDialog.PANELDIALOG_ID+"_tb").lastChild.nodeValue = title;
		$(prefixId+":"+PanelDialog.SUBVIEW_ID+":"+PanelDialog.PANELDIALOG_ID+"_tb").title = title;
	}	
	
	//remove all the nodes in paneldialog_form
	function removeFormChildren()
	{
		paneldialog_form.innerHTML="";
	}	
}