
var createPoolEasyObj = new CreatePoolEasy();

CreatePoolEasy.DRIVETYPE_CHANGED = 1;
CreatePoolEasy.RAIDLEVEL_CHANGED = 2;
CreatePoolEasy.HOTSPAREPOLICY_CHANGED = 3;

CreatePoolEasy.VIEW_FORM_ID = "view:form1";
CreatePoolEasy.VIEW_ID = "view";

DefaultPoolName_prefix = "Pool_";

function CreatePoolEasy()
{
	var floatMessage = null;
	
	this.init = function()
	{
		//check the first row radio
		this.checkFirstRowRadio();
		
		/** Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below
		showDefaultPoolName();
		**/
	};
	
	this.onChangeSelection = function(changeSource)
	{
		$(CreatePoolEasy.VIEW_FORM_ID+":change_source").value = changeSource;
		$(CreatePoolEasy.VIEW_FORM_ID).submit();
	};
	
	
	//when select a certain option, change the remaining capacity
	//remainingCapacity = totalCapacity - optionCapacity
	this.changeRemainingCapacity = function()
	{
		var selectedRow = getSelectedOptionRow();
		var totalUnconfiguredCapacity = parseDecimal($(CreatePoolEasy.VIEW_FORM_ID+":total_remaining_capacity").innerHTML.replace(/&nbsp;/g, " "));
		var selectedPhysicalCapacity = getOptionRowCapacity(selectedRow);
		var remainCapacity = (totalUnconfiguredCapacity - selectedPhysicalCapacity).toFixed(3);
		$("remaining_capacity").innerHTML = formatDecimal(remainCapacity);
	};
	
	
	this.openConfirmationDialog = function(thisObj,thisEvent)
	{
		/**Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below
		var poolName = $(CreatePoolEasy.VIEW_FORM_ID+":poolname_input").value;
		if(validatePoolName(poolName))
		{
			displayValidationMsg(false);
		**/
			//submit current page and open the confirmation dialog.
			panelDialogObj.launchDialog(CreatePoolEasy.VIEW_FORM_ID);
			var title = $(CreatePoolEasy.VIEW_ID+":confirmation_dialog_title").innerHTML;
			//set the dialog title
			setConfirmationDialogTitle(title);
		/**Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below
		}else{
			displayValidationMsg(true);
			EventHandling.preventReturnValue(thisEvent);
			parent.stopShellLoading();
		}
		*/
	};
	
	this.showCreatingFloatMsg = function(waitMessage)
	{
		//hide the main div
		$("main").style.visibility = "hidden";
		if(null == floatMessage)
		{
			floatMessage = new FloatMessage(FloatMessage.CREATE_VOLUME_CONTEXT, FloatMessage.STATIC, waitMessage);
		}
		floatMessage.start();
		return true;
	};
	
	//default check the first row radio button
	this.checkFirstRowRadio = function()
	{
		var radioBtns = document.getElementsByName("selected_cell");
		if(radioBtns != null && radioBtns.length > 0)
		{
			radioBtns[0].checked=true;
			dataTableObj.initTableRowState();
			//if checked at least one row,change the remaining capacity
			this.changeRemainingCapacity();
			//if checked at least one row,enable the next button
			$(CreatePoolEasy.VIEW_FORM_ID+":btn_next").disabled = false;
		}else{
			//if no rows,disable the next button
			$(CreatePoolEasy.VIEW_FORM_ID+":btn_next").disabled = true;
			$("remaining_capacity").innerHTML = formatDecimal(0);
		}
	};
	
	
	function displayValidationMsg(flag)
	{
		if(flag)
		{
			$("poolname_errormsg_tr").style.display = "";
		}else{
			$("poolname_errormsg_tr").style.display = "none";
		}
	};
	
	
	
	//validate whether the pool name is valid.
	function validatePoolName(poolName)
	{
		var regex = /\w+/;  //equals to /[A-Za-z0-9_]+/
		if(poolName == "")
		{
			$(CreatePoolEasy.VIEW_FORM_ID+":poolname_errormsg").innerHTML = $(CreatePoolEasy.VIEW_FORM_ID+":null_poolname_msg").innerHTML;
			return false;
		}else{
			if(poolName != regex.exec(poolName))
			{
				$(CreatePoolEasy.VIEW_FORM_ID+":poolname_errormsg").innerHTML = $(CreatePoolEasy.VIEW_FORM_ID+":incorrect_poolname_msg").innerHTML;
				return false;
			}else{
				//check whether the pool name has already existed. 
				var allExistingNames = $(CreatePoolEasy.VIEW_FORM_ID+":all_existing_poolnames").innerHTML;
				if("" == allExistingNames)
				{
					return true;
				}
				else
				{
					var poolNames =  allExistingNames.split(",");
					for(i in poolNames)
					{
						if(poolName.toUpperCase() == poolNames[i].toUpperCase())
						{
							$(CreatePoolEasy.VIEW_FORM_ID+":poolname_errormsg").innerHTML = $(CreatePoolEasy.VIEW_FORM_ID+":duplicate_poolname_msg").innerHTML;
							return false;
						}
					}
					return true;
				}
			}
		}
	};
	
	
	function getSelectedOptionRow()
	{
		var selectedOptionRow = dataTableObj.getSelectedRowElems()[0];
		return selectedOptionRow;
	};
	
	//get the capacity in the row from the table column 2.
	function getOptionRowCapacity(row)
	{
		var capacity = parseDecimal(row.cells[1].childNodes[0].innerHTML.replace(/&nbsp;/g, " "));
		return capacity;
	};
	
			
	//set the panel dialog title
	function setConfirmationDialogTitle(title)
	{
		panelDialogObj.setPanelDialogTitle(CreatePoolEasy.VIEW_ID, title);
	};
	
	function showDefaultPoolName() {
	 	var poolNameInput = $(CreatePoolEasy.VIEW_FORM_ID+":poolname_input");
	 	// If there is existing pool name, just need not put the default name.
	 	if (poolNameInput.value.length > 0) return;
		var allExistingNames = $(CreatePoolEasy.VIEW_FORM_ID+":all_existing_poolnames").innerHTML;
		var maxSuffix = 0;
		if("" == allExistingNames)
		{
			poolNameInput.value = DefaultPoolName_prefix + 1;
		}else{
			var poolNames =  allExistingNames.split(",");
			for(i in poolNames){
				var poolName = poolNames[i]; 	 	  	     	 	          	 	     	 	  
         		if( poolName.length > 5){
         	 	  var poolName_prefix = poolName.substring(0,5);	         	 	 
             	  var poolName_suffix = poolName.substring(5);
				  suffix = parseInt(poolName_suffix);
        	 	  if(DefaultPoolName_prefix == poolName_prefix && !isNaN(suffix)){
      	 	  	   	if( suffix > maxSuffix){
      	 	  	  		maxSuffix = suffix;
       	 	 		} 
        	 	  }
         	   }         	 	     
			}
			poolNameInput.value = DefaultPoolName_prefix + (maxSuffix+1);
		}
	}
	
	
}
