<%--
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2009, 2010 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
--%>
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/DefineVolumes.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
		title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<script type="text/javascript" src="page/common/DataTable.js"></script>
	<script type="text/javascript" src="page/createvolume/DefineVolumes.js"></script>
	<TITLE>Define Volumes</TITLE>
</head>
<body onload="dvObj.init()">
<f:view>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_DefineVolumes.onPageLoadBegin}">
	<h:form id="form1" onsubmit="showWaitCursor(true);">
		<table class="scm_wizard" role="presentation">
		<tr>
			<td class="left">
				<hx:jspPanel id="progressview_panel1" rendered="#{defineVolumesBean.launchedFromPools}">
					<jsp:include flush="true" page="/page/createpool/ProgressView.jsp"></jsp:include>
				</hx:jspPanel>
				<hx:jspPanel id="progressview_panel2" rendered="#{!defineVolumesBean.launchedFromPools}">
					<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
				</hx:jspPanel>
			</td>
			<td class="right">
				<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px" cellpadding="5px">
						<TR>
							<TD>
								<h:outputText id="definevolume_title" styleClass="scm_outputTextTitle2" value="#{bundle.DefineVolumes_Title}"></h:outputText>
								<BR>
								<h:outputText id="desc_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_Description}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				</div>
				
				<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
				
				<div id="main">
					<table id="body_table" style="width:100%; border-width:0;" role="presentation">
						<colgroup span="3">
							<col width="40%"></col>
							<col width="1%"></col>
							<col width="59%"></col>
						</colgroup>
						<!-- tr for pool information -->
						<tr>
							<!-- td for pool general information -->
							<td style="vertical-align:top;">
								<table id="pool_general_table" style="align:left; border-width:0;">
									<tr>
										<td><h:outputText id="storagepool_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_StoragePool}"></h:outputText></td>
										<td><h:outputText id="pool_displayname" styleClass="scm_outputText" value="#{defineVolumesBean.pool.displayName}"></h:outputText></td>
									</tr>
									<tr>
										<td><h:outputText id="raidlevel_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_RaidLevel}"></h:outputText></td>
										<td><h:outputText id="raidlevel" styleClass="scm_outputText" value="#{defineVolumesBean.pool.raidLevel}"></h:outputText></td>
									</tr>
								</table>
							</td>
							
							<!-- dummy cell -->
							<td></td>
							
							<!-- td for pool capacity information -->
							<td padding="0">
								<table cellspacing="0" width="100%" style="border-color:black; border-width: 1px; border-style: solid">
									<tr height="20px">
										<td id="used_cap_td" width="70%" style="background-color: #225972"></td>
										<td id="available_cap_td" width="30%" style="background-color: #489977"></td>
									</tr>
								</table>
								<br>
								<table width="100%" style="border-color:black; border-width: 1px; border-style: solid" role="presentation">
									<colgroup span="3">
										<col width="1%"></col>
										<col width="50%"></col>
										<col width="50%"></col>
									</colgroup>
									<tr>
										<td></td>
										<td>
											<h:outputText id="pooltotal_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_PoolTotal}"></h:outputText>
										</td>
										<td>
											<h:outputText id="total_capacity" styleClass="scm_outputText" value="#{defineVolumesBean.pool.capacityText}"></h:outputText>
											<h:outputText id="GB_label1" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_GB}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td>
											<img src="images\capacity\legend_pool_available_space.gif" alt=""></img>
										</td>
										<td>
											<h:outputText id="available_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_Available}"></h:outputText>
										</td>
										<td>
											<h:outputText id="available_capacity" styleClass="scm_outputText" value="#{defineVolumesBean.pool.availableCapacityText}"></h:outputText>
											<h:outputText id="GB_label2" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_GB}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td>
											<img src="images\capacity\legend_pool_used_space.gif" alt=""></img>
										</td>
										<td>
											<h:outputText id="newvolumes_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_NewVolumes}"></h:outputText>
										</td>
										<td>
											<span id="used_cap_value" Class="scm_outputText">0</span>
											<h:outputText id="GB_label3" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_GB}"></h:outputText>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						
						<!-- tr for volume action area -->
						<tr>
							<td style="vertical-align:top;">
								<div>
									<h:outputText id="volumedefinition_title1" styleClass="scm_outputTextTitle3" value="#{bundle.DefineVolumes_Title_VolumeDefinition}"></h:outputText>
								</div>
								<table id="volume_action_table" class="scm_DataTable" style="width:100%;" role="presentation">
								<tbody>
									<tr>
										<td>
											<h:outputText id="asterix_common1" style="color:red" value="#{bundle.Common_Asterix}"  styleClass="scm_outputText"></h:outputText>
											 <label for="name_input" id="name_label">
											 	<h:outputText id="name_label_text" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_Name}"></h:outputText>
											 </label>
										</td>
										<td style="text-align:right;">
											<input id="name_input" type="text" style="width:80px" maxlength="11" aria-required="true"
											onblur="dvObj.updateVolumeNameSample();"
											onkeyup="dvObj.updateVolumeNameSample();" styleClass="scm_inputText"></input>
										</td>
									</tr>
									<tr>
										<td colspan="2" style="text-align:right;">
											<div id="name_input_err_empty" style="display:none"><h:outputText id="name_empty_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Name_Empty}"></h:outputText></div>
											<div id="name_input_err_format" style="display:none"><h:outputText id="name_format_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Name_Format}"></h:outputText></div>
											<div id="name_input_err_length" style="display:none"><h:outputText id="name_length_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Name_Length}"></h:outputText></div>
										</td>
									</tr>
									<tr>
										<td>
											<h:outputText id="asterix_common2" style="color:red" value="#{bundle.Common_Asterix}" styleClass="scm_outputText"></h:outputText>
											<label id="capacity_label" for="capacity_input">
												<h:outputText id="capacity_label_text" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_Capacity}"></h:outputText>
											</label>
										</td>
										<td style="text-align:right;">
											<input id="capacity_input" type="text" style="width:80px" styleClass="scm_inputText" aria-required="true"></input>
										</td>
									</tr>
									<tr>
										<td colspan="2" style="text-align:right;">
											<div id="capacity_input_err_empty" style="display:none"><h:outputText id="capacity_empty_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Capacity_Empty}"></h:outputText></div>
											<div id="capacity_input_err_format" style="display:none"><h:outputText id="capacity_format_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Capacity_Format}"></h:outputText></div>
											<div id="capacity_input_err_max" style="display:none"><h:outputText id="capacity_max_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Capacity_Max}"></h:outputText></div>
											<div id="capacity_input_err_special" class="scm_outputTextError" style="display:none"></div>
										</td>
									</tr>
									<tr>
										<td>
											<h:outputText id="asterix_common3" style="color:red" value="#{bundle.Common_Asterix}" styleClass="scm_outputText"></h:outputText>
											<label id="quantity_label" for="quantity_input">
												<h:outputText id="quantity_label_text" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_Quantity}"></h:outputText>
											</label>
										</td>
										<td style="text-align:right;">
											<input id="quantity_input" type="text" value="1" style="width:80px" maxlength="2" aria-required="true"
											onblur="dvObj.onQuantityChange(this.value);dvObj.updateVolumeNameSample();"
											onkeyup="dvObj.onQuantityChange(this.value);dvObj.updateVolumeNameSample();" styleClass="scm_inputText"></input>
										</td>
									</tr>
									<tr>
										<td colspan="2" style="text-align:right;">
											<div id="quantity_input_err_empty" style="display:none"><h:outputText id="quantity_empty_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Quantity_Empty}"></h:outputText></div>
											<div id="quantity_input_err_format" style="display:none"><h:outputText id="quantity_format_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Quantity_Format}"></h:outputText></div>
											<div id="quantity_input_err_max" style="display:none">
												<h:outputFormat id="quantity_max_error" value="#{bundle.DefineVolumes_Error_Quantity_Max}" styleClass="scm_outputTextError">
													<f:param id="remain_volumes_para" value="#{defineVolumesBean.pool.remainVolumeCount}"></f:param>
												</h:outputFormat>
											</div>
										</td>
									</tr>
									<tr>
										<td>
											<h:outputText id="asterix_common4" value="#{bundle.Common_Asterix}" style="visibility:hidden" styleClass="scm_outputText"></h:outputText>
											<label id="namesuffix_label" for="namesuffix_input">
												<h:outputText id="namesuffix_label_text" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_NameSuffix}"></h:outputText>
											</label>
										</td>
										<td style="text-align:right;">
											<input id="namesuffix_input" type="text" style="width:80px" maxlength="3" disabled="true" value="1"
											onblur="dvObj.updateVolumeNameSample();"
											onkeyup="dvObj.updateVolumeNameSample();" styleClass="scm_inputText"></input>
										</td>
									</tr>
									<tr>
										<td colspan="2" style="text-align:right;">
											<div id="namesuffix_input_err_empty" style="display:none"><h:outputText id="suffix_empty_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Suffix_Empty}"></h:outputText></div>
											<div id="namesuffix_input_err_format" style="display:none"><h:outputText id="suffix_format_error" styleClass="scm_outputTextError" value="#{bundle.DefineVolumes_Error_Suffix_Format}"></h:outputText></div>
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<h:outputText id="asterix_common5" value="#{bundle.Common_Asterix}" style="visibility:hidden" styleClass="scm_outputText"></h:outputText>
											<h:outputText id="nameexample_label" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_NameExample}"></h:outputText>
											<br>
											<h:outputText id="asterix_common6" value="#{bundle.Common_Asterix}" style="visibility:hidden"></h:outputText>
											<span id="name_sample_value" class="scm_outputText"></span>
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<hx:graphicImageEx id="advancedArrowImage" tabindex="0" onkeyup="selfClick(this,event);" value="images/expandcollapse/arrow_right.gif" style="cursor: pointer" alt='#{bundle.Common_Collapsed}' title='#{bundle.Common_Collapsed}' 
											onclick="toggleExpandCollapse(this, 'images/expandcollapse/arrow_right.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/arrow_down.gif', '#{bundle.Common_Expanded}', 'advancedOptionsTr', true)"></hx:graphicImageEx>
											<h:outputText id="advanced_label" styleClass="scm_outputTextTitle3" value="#{bundle.DefineVolumes_Label_Advanced}"></h:outputText>
										</td>
									</tr>
									<tr id="advancedOptionsTr" style="width:100%;visibility:hidden;">
										<td>
											<h:outputText id="asterix_common7" styleClass="scm_outputText" value="#{bundle.Common_Asterix}" style="visibility:hidden" styleClass="scm_outputText"></h:outputText>
											<h:outputLabel id="stripesize_label" for="stripe_menu" styleClass="scm_outputText" value="#{bundle.DefineVolumes_Label_StripeSize}"></h:outputLabel>
										</td>
										<td style="text-align:right;">
										    <h:selectOneMenu style="width:80px" id="stripe_menu" value="#{defineVolumesBean.defaultStripeSize}"  styleClass="scm_selectText">
												<f:selectItems id="stripe_size_items" value="#{defineVolumesBean.supportedStripeSizes}" />
										    </h:selectOneMenu>
										</td>
									</tr>
								</tbody>
								</table>
							</td>
							<!-- Cell for "ADD" button -->
							<td style="vertical-align:top;padding-top:90px">
								<hx:commandExButton id="add_vol" styleClass="scm_button" style="width:25px" title="#{bundle.DefineVolumes_Button_Add_Title}" value="#{bundle.DefineVolumes_Button_Add}" type="button" onclick="dvObj.addVolumes()"></hx:commandExButton>
							</td>
							<!-- Cell for volume table -->
							<td style="vertical-align:top;">
								<div>
									<h:outputText id="volumedefinition_title2" styleClass="scm_outputTextTitle3" value="#{bundle.DefineVolumes_Title_VolumeDefinition}"></h:outputText>
								</div>
								<table style="width:100%;padding:5px 0px 7px 0px;"
									class="scm_DataTable_ActionArea" role="presentation">
									<tbody>
										<tr>
											<td><hx:commandExButton id="btn_remove"
												value="#{bundle.DefineVolumes_Button_Remove}"
												style="margin:0px 5px 0px 5px;"  styleClass="scm_button" 
												type="button" onclick="dvObj.removeVolumes()"></hx:commandExButton>
											</td>
										</tr>
									</tbody>
								</table>
								<div id="table_header_div" class="scm_DataTableHeader_Div">
								<hx:dataTableEx
									id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
									headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
									columnClasses="scm_DataTable_Column"
									style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
									rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%">
										<hx:columnEx id="col_select_header" style="padding:0px;">
											<f:facet name="header">
												<h:outputText id="header_select" styleClass="scm_outputText"
														value="&nbsp;" escape="false"></h:outputText>
											</f:facet>
											<f:attribute value="8%" name="width" />
											<f:attribute value="left" name="align" />
										</hx:columnEx>
										<hx:columnEx id="col_capacity_header">
											<f:facet name="header">
												<h:outputText id="header_capacity" styleClass="scm_outputText"
														value="#{bundle.DefineVolumes_TableHeader_Total}"></h:outputText>
											</f:facet>
											<f:attribute value="35%" name="width" />
											<f:attribute value="right" name="align" />
										</hx:columnEx>
										<hx:columnEx id="col_name_header">
											<f:facet name="header">
												<h:outputText id="header_name" styleClass="scm_outputText"
														value="#{bundle.DefineVolumes_TableHeader_Name}"></h:outputText>
											</f:facet>
											<f:attribute value="57%" name="width" />
											<f:attribute value="left" name="align" />
										</hx:columnEx>
									</hx:dataTableEx>
								</div>
								<div style="width:100%;overflow-x:hidden;overflow-y:auto;height:165px;">
									<hx:dataTableEx
									id="volumes_table" border="0" cellpadding="0" cellspacing="0"
									headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
									columnClasses="scm_DataTable_Column"
									style="border-top: 0px; table-layout: fixed;"
									summary="#{bundle.DefineVolumes_VolumeDefinition_Table_Summary}"
									rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%">
										<hx:columnEx id="col_select" style="padding:0px;">
											<f:facet name="header">
												<h:outputText id="header_tbody_select" styleClass="scm_outputText"
														value="&nbsp;" escape="false"></h:outputText>
											</f:facet>
											<f:attribute value="8%" name="width" />
											<f:attribute value="left" name="align" />
										</hx:columnEx>
										<hx:columnEx id="col_capacity">
											<f:facet name="header">
												<h:outputText id="header_tbody_capacity" styleClass="scm_outputText"
														value="#{bundle.DefineVolumes_TableHeader_Total}"></h:outputText>
											</f:facet>
											<f:attribute value="35%" name="width" />
											<f:attribute value="right" name="align" />
										</hx:columnEx>
										<hx:columnEx id="col_name">
											<f:facet name="header">
												<h:outputText id="header_tbody_name" styleClass="scm_outputText"
														value="#{bundle.DefineVolumes_TableHeader_Name}"></h:outputText>
											</f:facet>
											<f:attribute value="57%" name="width" />
											<f:attribute value="left" name="align" />
										</hx:columnEx>
									</hx:dataTableEx>
								</div>
							</td>
						</tr>
					</table>
				</div>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="bottom">
				<hx:commandExButton id="btn_back"
					value="#{bundle.Common_Button_Back}"
					styleClass="scm_button"
					type="submit" disabled="#{defineVolumesBean.disableBackBtn}"
					action="#{defineVolumesBean.onBack}">
				</hx:commandExButton>
				<hx:commandExButton id="btn_next"
					value="#{bundle.Common_Button_Next}"
					styleClass="scm_button"
					type="submit" action="#{defineVolumesBean.onNext}" onclick="dvObj.createVolumes()">
				</hx:commandExButton>
				<hx:commandExButton id="btn_finish"
					value="#{bundle.Common_Button_Finish}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_cancel"
					value="#{bundle.Common_Button_Cancel}"
					disabled="#{defineVolumesBean.disableCancelBtn}"
					styleClass="scm_button"
					type="button"
					onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
				</hx:commandExButton>
			</td>
		</tr>
		</table>
		
		<!-- Hidden input/ouput -->
		<h:inputHidden id="volume_json" value="#{defineVolumesBean.volumeJsonString}"></h:inputHidden>
		<h:outputText id="available_capacity_value" value="#{defineVolumesBean.pool.availableCapacity}" style="display:none"></h:outputText>
		<h:outputText id="text_total_capacity_exceed" value="#{bundle.DefineVolumes_Error_TotalCapacityExceed}" style="display:none"></h:outputText>
		<h:outputText id="remain_volumes_count" value="#{defineVolumesBean.pool.remainVolumeCount}" style="display:none"></h:outputText>
		<h:outputText id="is_IR" value="#{defineVolumesBean.IR}" style="display:none"></h:outputText>
	</h:form>
	<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
	<%-- dummy hx tag to init hx client script --%>
	<hx:behavior event="onload"/>
	</hx:scriptCollector>
</f:view>
</body>
</html>
<script language="javascript">
	dataTableObj.initHeaderDivPaddingWidth("view:form1:volumes_table");
</script>
