<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/DeleteVolumesConfirmation.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript"
	src="page/storage/DeleteVolumesConfirmation.js"></SCRIPT>

<TITLE>Delete Storage Pool Confirmation</TITLE>

</HEAD>
<f:view>
	<BODY onload="">
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_DeleteVolumesConfirmation.onPageLoadBegin}">
		<h:form id="form1">
			<table>
				<tbody>
					<tr>
						<td valign="top" style="width:35px;"><hx:graphicImageEx
							id="information_img" value="/images/status/warning_30.gif" alt="#{bundle.Common_Image_Warning_Alt}"></hx:graphicImageEx>
						</td>
						<td width="100%">
						<div><h:outputText id="prompt_description"
							value="#{bundle.DeleteVolumes_Volumes_Prompt}"
							styleClass="scm_outputText"></h:outputText></div>
						<br>
						<hx:dataTableEx
							id="volumes_table" border="0" cellpadding="0" cellspacing="0"
							headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
							columnClasses="scm_DataTable_Column"
							rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
							summary="#{bundle.DeleteVolume_Volumes_Table_Summary}"
							style="table-layout:fixed;"
							value="#{deleteVolumesConfirmationBean.volumes}" var="volume"
							rendered="true">
							<hx:columnEx id="col_volume_id" style="visibility:collapse;">
								<h:inputHidden id="volume_id" value="#{volume.volumeId}"></h:inputHidden>
							</hx:columnEx>
							<hx:columnEx id="col_volume_name" style="border-left:none;">
								<f:facet name="header">
									<h:outputText id="volume_name_header"
										styleClass="scm_outputText"
										value="#{bundle.DeleteVolumes_TableHeader_Volume}"></h:outputText>
								</f:facet>
								<h:outputText id="cell_volume_name"
									value="#{volume.displayName}" styleClass="scm_outputText">
								</h:outputText>
								<f:attribute value="40%" name="width" />
								<f:attribute value="left" name="align" />
							</hx:columnEx>
							<hx:columnEx id="col_capacity">
								<f:facet name="header">
									<h:outputText id="header_capacity" styleClass="scm_outputText"
										value="#{bundle.DeleteVolumes_TableHeader_Capacity}"></h:outputText>
								</f:facet>
								<h:outputText id="cell_total" value="#{volume.totalCapacityText}"
									styleClass="scm_outputText">
								</h:outputText>
								<f:attribute value="30%" name="width" />
								<f:attribute value="right" name="align" />
							</hx:columnEx>
							<hx:columnEx id="col_status">
								<f:facet name="header">
									<h:outputText id="status_header" styleClass="scm_outputText"
										value="#{bundle.DeleteVolumes_TableHeader_Status}"></h:outputText>
								</f:facet>
								<hx:graphicImageEx id="cell_status_img" rendered="#{!volume.statusNormal}"
									value="#{volume.statusImgPath}" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
								<hx:graphicImageEx id="cell_status_img_blank" rendered="#{volume.statusNormal}"
									value="/images/status/none_16.gif" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
								<h:outputText id="cell_status_text" styleClass="scm_outputText"
									value="#{volume.statusText}">
								</h:outputText>
								<f:attribute value="30%" name="width" />
								<f:attribute value="left" name="align" />
							</hx:columnEx>
						</hx:dataTableEx>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<table>
				<tbody>
					<tr>
						<td style="width:30%; padding-right:10px;"><hx:commandExButton
							id="ok_btn" value="#{bundle.Common_OK}" type="button"
							onclick="deleteVolumesConfirmationObj.onOKBtnClick(this,event)"
							styleClass="scm_button"></hx:commandExButton></td>
						<td><hx:commandExButton id="cancel_btn"
							value="#{bundle.Common_Cancel}" type="button"
							onclick="parent.panelDialogObj.closeDialog()" action=""
							styleClass="scm_button"></hx:commandExButton></td>
						<td>
						<div id="loading_div" style="display:none;"><img
							src="images\loading\loading_large.gif"
							style="margin-bottom:-5px;" alt="#{bundle.Common_Loading_Label}"></img></div>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<%-- HIDDEN FIELD --%>
			
			<%-- Ajax request to delete the pool --%>
			<hx:commandExButton id="delete_volumes_launcher" type="button"
				value="Click" style="display:none;">
				<hx:behavior id="deletevolumes_behavior" event="onclick" behaviorAction="get"
					targetAction="deletevolumes_panel"></hx:behavior>
			</hx:commandExButton>

			<h:panelGroup id="deletevolumes_panel" style="display:none;">
				<hx:ajaxRefreshSubmit id="deletevolumes_ajax_submit" 
					oncomplete="deleteVolumesConfirmationObj.onDeleteVolumesComplete();"
					onerror="deleteVolumesConfirmationObj.onAjaxError();"
					onstart="deleteVolumesConfirmationObj.onDeleteVolumesStart();">
				</hx:ajaxRefreshSubmit>
			</h:panelGroup>
			
			<%-- set the volume ids to input hidden field for ajax submit --%>
			<h:inputHidden id="volume_ids" value="#{deleteVolumesConfirmationBean.volumesID}"></h:inputHidden>
			
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
