<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/task/LongRunningTasks.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<BASE href="<%=basePath%>">
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/task/LongRunningTasks.js"></SCRIPT>
<TITLE>Long Running Tasks</TITLE>
</head>
<f:view>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_LongRunningTasks.onPageLoadBegin}">
		<body onload="LRTObj.init()">
		<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
		<jsp:include page="/page/common/ContextChooser.jsp"></jsp:include>
		<br>
		<h:form id="form1" target="_parent" rendered="#{!pc_LongRunningTasks.responseComplete}">

			<!-- ************************ In Progress Task Table ************************* -->
			<table style="width:100%">
				<tr>
					<td align="left">
						<h:outputText id="inprogress_label"
							styleClass="scm_outputTextTitle3"
							value="#{bundle.LongRunningTasks_Label_InProgress}"></h:outputText>
					</td>
					<td align="right">
						<h:outputText
							id="label_last_refresh" value="#{bundle.Common_Label_LastRefresh}"
							styleClass="scm_outputText"></h:outputText> <span
							id="last_refresh_timestamp" class="scm_outputText"></span>
					</td>
				</tr>
			</table>
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td align="right"><hx:commandExButton
							id="btn_refresh" value="#{bundle.Common_Button_Refresh}"
							styleClass="scm_button"
							onclick="LRTObj.refresh();"
							type="button"></hx:commandExButton></td>
					</tr>
				</tbody>
			</table>
			<div id="table_header_div_inprogress" class="scm_DataTableHeader_Div">
			<hx:dataTableEx
					id="inprogress_task_table_header" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" 
					rendered="true">
					<hx:columnEx id="col_task_name_header">
						<f:facet name="header">
								<h:outputText id="task_name_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_progress_header">
						<f:facet name="header">
								<h:outputText id="progress_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}"></h:outputText>
						</f:facet>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource_header">
						<f:facet name="header">
							<h:outputText id="header_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_start_header">
						<f:facet name="header">
							<h:outputText id="header_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
			</div>
			<div style="width:100%; height:150px; overflow-y:auto">
				<hx:dataTableEx
					id="inprogress_task_table" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-top: 0px; table-layout: fixed;"
					summary="#{bundle.LongRunningTasks_InProgressTasks_Table_Summary}"
					value="#{longRunningTasksBean.inProgressTasks}" var="task" rendered="true">
					<hx:columnEx id="col_task_name">
						<f:facet name="header">
								<h:outputText id="task_name_tbody_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_task_name" value="#{task.displayName}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_progress">
						<f:facet name="header">
								<h:outputText id="progress_tbody_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}"></h:outputText>
						</f:facet>
						<hx:graphicImageEx id="cell_progress_img"
							value="#{task.progressImgPath}" alt="#{task.progressText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="cell_progress_text" styleClass="scm_outputText"
							value="#{task.progressText}">
						</h:outputText>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource">
						<f:facet name="header">
							<h:outputText id="header_tbody_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_resource" value="#{task.resource}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_start">
						<f:facet name="header">
							<h:outputText id="header_tbody_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_start" value="#{task.startTime}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
				<hx:jspPanel id="norecord_panel"
					rendered="#{longRunningTasksBean.noInProgressTask}">
					<table
						style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
						<tr>
							<td><h:outputText id="norecords_desc" value="#{bundle.LongRunningTasks_Label_NoInProgressTask}" styleClass="scm_outputText"></h:outputText></td>
						</tr>
					</table>
				</hx:jspPanel>
			</div>
			
			<br>
			<br>
			<br>
			
			<!-- ************************ Completed Task Table ************************* -->
			<table style="width:100%">
				<tr>
					<td align="left">
						<h:outputText id="completed_label"
							styleClass="scm_outputTextTitle3"
							value="#{bundle.LongRunningTasks_Label_Completed}"></h:outputText>
					</td>
				</tr>
			</table>
			<div id="table_header_div_complete" class="scm_DataTableHeader_Div"> 
			<hx:dataTableEx
					id="completed_task_table_header" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" 
					rendered="true">
					<hx:columnEx id="col_completed_task_name_header">
						<f:facet name="header">
							<h:outputText id="completed_task_name_header" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_progress_header">
						<f:facet name="header">
								<h:outputText id="completed_progress_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}">
								</h:outputText>
						</f:facet>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource_header">
						<f:facet name="header">
							<h:outputText id="header_completed_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_start_header">
						<f:facet name="header">
							<h:outputText id="header_completed_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
			</div>
			<div style="width:100%; height:280px; overflow-y:auto">
				<hx:dataTableEx
					id="completed_task_table" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-top: 0px; table-layout: fixed;"
					summary="#{bundle.LongRunningTasks_CompletedTasks_Table_Summary}"
					value="#{longRunningTasksBean.completedTasks}" var="task" rendered="true">
					<hx:columnEx id="col_completed_task_name">
						<f:facet name="header">
							<h:outputText id="completed_task_name_tbody_header" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_completed_task_name" value="#{task.displayName}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_progress">
						<f:facet name="header">
								<h:outputText id="completed_progress_tbody_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}">
								</h:outputText>
						</f:facet>
						<hx:graphicImageEx id="cell_completed_progress_img"
							value="#{task.statusImgPath}" alt="#{task.statusText}" style="margin-bottom:-2px;">
						</hx:graphicImageEx>
						<h:outputText id="cell_progress_text" styleClass="scm_outputText"
							value="#{task.progressText}">
						</h:outputText>
						<h:outputText id="cell_completed_progress_blank_space" styleClass="scm_outputText"
							value=" ">
						</h:outputText>
						<h:outputText id="cell_task_succeed_status_text" rendered="#{task.taskSucceed}" 
							styleClass="scm_outputText" value="#{task.statusText}">
						</h:outputText>
						<h:commandLink id="cell_task_error_status_command_link" rendered="#{!task.taskSucceed}" 
							styleClass="scm_plainLink" value="#{task.statusText}" 
							action="#{pc_LongRunningTasks.deviceLog}">
						</h:commandLink>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource">
						<f:facet name="header">
							<h:outputText id="header_tbody_completed_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_completed_resource" value="#{task.resource}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_start">
						<f:facet name="header">
							<h:outputText id="header_tbody_completed_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<h:outputText id="cell_completed_start" value="#{task.startTime}"
							styleClass="scm_outputText">
						</h:outputText>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
				<hx:jspPanel id="no_completed_record_panel"
					rendered="#{longRunningTasksBean.noCompletedTask}">
					<table
						style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
						<tr>
							<td><h:outputText id="no_completed_records_desc" value="#{bundle.LongRunningTasks_Label_NoCompletedTask}" styleClass="scm_outputText"></h:outputText></td>
						</tr>
					</table>
				</hx:jspPanel>
			</div>
		</h:form>
		<%-- dummy hx tag to init hx client script --%>
		<hx:behavior event="onload"/>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
		</body>
	</hx:scriptCollector>
</f:view>
</html>