<%-- jsf:pagecode language="java" location="/src/pagecode/page/task/LongRunningTasksStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<BASE href="<%=basePath%>">
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<TITLE>Long Running Tasks</TITLE>
</head>
<body>
<f:view>
	<hx:scriptCollector id="scriptCollector">
		<h:outputText id="contextchooser_label" value="#{bundle.Common_Label_ContextChooser}" styleClass="scm_outputText"></h:outputText> 
		<hx:graphicImageEx id="treeTableLoading" value="images/loading/loading_small.gif" alt=""></hx:graphicImageEx>
		<h:outputText id="contextchooser_loading" value="#{bundle.Wait_LoadingMessage_ContextChooser}" styleClass="scm_outputText"></h:outputText>
		<br>
		<br>
		<h:form id="form1">

			<!-- ************************ In Progress Task Table ************************* -->
			<table style="width:100%">
				<tr>
					<td align="left">
						<h:outputText id="inprogress_label"
							styleClass="scm_outputTextTitle3"
							value="#{bundle.LongRunningTasks_Label_InProgress}"></h:outputText>
					</td>
					<td align="right">
						<h:outputText
							id="label_last_refresh_label"
							value="#{bundle.Common_Label_LastRefresh}"
							styleClass="scm_outputText"></h:outputText> <h:outputText
							id="label_last_refresh"
							value="#{bundle.Wait_LoadingMessage_CommonRefresh}"
							styleClass="scm_outputText"></h:outputText>
					</td>
				</tr>
			</table>
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td align="right"><hx:commandExButton
							id="btn_refresh" value="#{bundle.Common_Button_Refresh}"
							styleClass="scm_button"
							onclick="LRTObj.onClickRefreshBtn(this, event);"
							type="button" disabled="true"></hx:commandExButton></td>
					</tr>
				</tbody>
			</table>
			
			<div style="width:100%; height:150px; overflow-y:auto">
				<hx:dataTableEx
					id="inprogress_task_table_header" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-bottom: 0px; table-layout: fixed;" 
					summary="#{bundle.LongRunningTasks_InProgressTasks_Table_Summary}"
					rendered="true">
					<hx:columnEx id="col_task_name_header">
						<f:facet name="header">
								<h:outputText id="task_name_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_progress_header">
						<f:facet name="header">
								<h:outputText id="progress_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}"></h:outputText>
						</f:facet>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource_header">
						<f:facet name="header">
							<h:outputText id="header_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_start_header">
						<f:facet name="header">
							<h:outputText id="header_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
				<table style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><hx:graphicImageEx id="loading_img"
							value="images/loading/loading_large.gif"
							style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> <h:outputText
							id="task_loading" value="#{bundle.Wait_LoadingMessage_RunningTask}"
							styleClass="scm_outputText"></h:outputText>
						</td>
					</tr>
				</table>
			</div>
			
			<br>
			<br>
			<br>
			
			<!-- ************************ Completed Task Table ************************* -->
			<table style="width:100%">
				<tr>
					<td align="left">
						<h:outputText id="completed_label"
							styleClass="scm_outputTextTitle3"
							value="#{bundle.LongRunningTasks_Label_Completed}"></h:outputText>
					</td>
				</tr>
			</table>
			<div style="width:100%; height:280px; overflow-y:auto">
				<hx:dataTableEx
					id="completed_task_table_header" border="0" cellpadding="0" cellspacing="0"
					headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
					columnClasses="scm_DataTable_Column"
					rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
					style="border-bottom: 0px; table-layout: fixed;" 
					summary="#{bundle.LongRunningTasks_CompletedTasks_Table_Summary}"
					rendered="true">
					<hx:columnEx id="col_completed_task_name_header">
						<f:facet name="header">
							<h:outputText id="completed_task_name_header" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_TaskName}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_progress_header">
						<f:facet name="header">
								<h:outputText id="completed_progress_header" styleClass="scm_outputText"
									value="#{bundle.LongRunningTasks_TableHeader_Progress}">
								</h:outputText>
						</f:facet>
						<f:attribute value="40%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_resource_header">
						<f:facet name="header">
							<h:outputText id="header_completed_resource" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Resource}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
					<hx:columnEx id="col_completed_start_header">
						<f:facet name="header">
							<h:outputText id="header_completed_start" styleClass="scm_outputText"
								value="#{bundle.LongRunningTasks_TableHeader_Start}"></h:outputText>
						</f:facet>
						<f:attribute value="20%" name="width" />
						<f:attribute value="left" name="align" />
					</hx:columnEx>
				</hx:dataTableEx> 
				<table style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><hx:graphicImageEx id="loading_img2"
							value="images/loading/loading_large.gif"
							style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> 
							<h:outputText
							id="task_loading2" value="#{bundle.Wait_LoadingMessage_CompletedTask}"
							styleClass="scm_outputText"></h:outputText>
						</td>
					</tr>
				</table>
			</div>
		</h:form>
	</hx:scriptCollector>
</f:view>
</body>
</html>